Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1946133 - Apostrophe changed to Acute-Accent
Summary: Apostrophe changed to Acute-Accent
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 34
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F34FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2021-04-04 22:12 UTC by Jorge Fábregas
Modified: 2021-04-12 17:03 UTC (History)
7 users (show)

Fixed In Version: gtk3-3.24.28-2.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-09 20:03:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Jorge Fábregas 2021-04-04 22:12:30 UTC
Description of problem:
After updating F33 the "apostrophe" (U+0027) has been changed to "acute-accent" (U+00B4).  This is in the "US, Intl, with dead-keys" keyboard layout.

Version-Release number of selected component (if applicable):
This happend right after updating to gtk-3.24.28-1.fc33 .  If I revert back to gtk3-3.24.23-1.fc33.x86_64 everything goes back to normal.

How reproducible:
always

Steps to Reproduce:
1. Add/Switch to English (US, Intl. with dead keys) in GNOME settings
2. Press the single-quote key (apostrophe) followed by spacebar and you'll get the acute-accent

Actual results:
 acute-accent is shown


Expected results:
 apostrophe should be shown

Additional info:

Comment 1 Mauricio Teixeira 2021-04-05 14:54:03 UTC
I can confirm the same problem.

This is incredibly troublesome for Latin-based languages (Portuguese/Spanish), so IMHO this bug is high priority.

Comment 2 Jorge Fábregas 2021-04-05 14:55:44 UTC
Hi. Thanks for confirming. Agreed.

Comment 3 Matthias Clasen 2021-04-06 13:02:14 UTC
https://gitlab.gnome.org/GNOME/gtk/-/issues/3807

Comment 4 Kalev Lember 2021-04-06 14:05:24 UTC
I've backported the upstream fixes here. Would be good to get the fixes in as a Freeze Exception for F34 to make sure typing apostrophe works as expected.

Comment 5 Fedora Update System 2021-04-06 14:14:42 UTC
FEDORA-2021-fefe436dd1 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-fefe436dd1

Comment 6 Fedora Update System 2021-04-06 14:19:26 UTC
FEDORA-2021-ab94d98d88 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ab94d98d88

Comment 7 Fedora Update System 2021-04-06 14:28:31 UTC
FEDORA-2021-ba0681c345 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ba0681c345

Comment 8 Fedora Update System 2021-04-07 15:20:05 UTC
FEDORA-2021-ba0681c345 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-ba0681c345`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-ba0681c345

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-04-07 15:58:28 UTC
FEDORA-2021-ab94d98d88 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-ab94d98d88`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-ab94d98d88

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-04-07 18:15:10 UTC
FEDORA-2021-fefe436dd1 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-fefe436dd1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-fefe436dd1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Adam Williamson 2021-04-07 23:29:51 UTC
+3 in https://pagure.io/fedora-qa/blocker-review/issue/325 , marking accepted.

Comment 12 Mauricio Teixeira 2021-04-08 12:02:47 UTC
Works in Fedora 33. Thanks!

Comment 13 Fedora Update System 2021-04-08 20:57:05 UTC
FEDORA-2021-ba0681c345 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-04-09 20:03:24 UTC
FEDORA-2021-fefe436dd1 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2021-04-12 17:03:45 UTC
FEDORA-2021-ab94d98d88 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.